master_data
Patch Technical Resource
patch a single technical resource.
PATCH
/
v3
/
master_data
/
changes
/
redispatch
/
technical_resources
/
{tr_id}
/
Patch Technical Resource
curl --request PATCH \
--url https://api.lumenaza.de/v3/master_data/changes/redispatch/technical_resources/{tr_id}/ \
--header 'Content-Type: application/json' \
--data '
{
"contract_id": "<string>",
"control_resource": "<string>",
"market_location_feed": "<string>",
"market_location_supply": "<string>",
"technical_resource_id": "<string>"
}
'import requests
url = "https://api.lumenaza.de/v3/master_data/changes/redispatch/technical_resources/{tr_id}/"
payload = {
"contract_id": "<string>",
"control_resource": "<string>",
"market_location_feed": "<string>",
"market_location_supply": "<string>",
"technical_resource_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
contract_id: '<string>',
control_resource: '<string>',
market_location_feed: '<string>',
market_location_supply: '<string>',
technical_resource_id: '<string>'
})
};
fetch('https://api.lumenaza.de/v3/master_data/changes/redispatch/technical_resources/{tr_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"control_resource": "<string>",
"technical_resource_id": "<string>",
"accounting_model": "Z01",
"market_location_feed": "<string>",
"market_location_supply": "<string>"
}
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I
Patch Technical Resource

